"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var FormatterAdapter_1 = require("./FormatterAdapter");
var FormatterDiskLogger_1 = require("./FormatterDiskLogger");
var Reporter = /** @class */ (function () {
    function Reporter(globalConfig, options) {
        this.formatterLogger = new FormatterDiskLogger_1.FormatterDiskLogger('./report.json');
        this.formatterAdapter = new FormatterAdapter_1.FormatterAdapter(this.formatterLogger);
    }
    Reporter.prototype.onTestResult = function (test, results) {
        return this.formatterAdapter.onScenarioComplete(results);
    };
    Reporter.prototype.onRunComplete = function (contexts, results) {
        this.formatterAdapter.onTestRunComplete();
        this.formatterLogger.save();
    };
    return Reporter;
}());
exports.Reporter = Reporter;
;
//# sourceMappingURL=Reporter.js.map